/contributions/paymentsAsk AIpost https://api.securevan.com/v4/contributions/paymentsRecords and processes a Contribution with the payment information provided in the request body.Body ParamscontactobjectrequiredThe Person who contributed.contact objectdesignationobjectrequiredThe Designation which will receive funds associated with this Contribution.designation objectgatewayIdint32requiredDefaults to 123456The payment gateway which will process this Contribution.amountdoublerequiredDefaults to 12.34Monetary amount of the Contribution. Non-positive values, and values that have more than 2 digits after the decimal point, will not be accepted. Must be between $0.01 and $999,999.99, inclusive.paymentMethodobjectrequiredPayment information that will be used to process the Contribution.paymentMethod objectcodesarray of objectsAn array of zero or one Codes to apply to the contribution. Contributions may not have more than one Code applied, and if a Code is applied, it must be a Source Code.codesADD objectgeneralLedgerFundobjectThe associated GeneralLedgerFund object.generalLedgerFund objectcostCenterobjectThe associated CostCenter object.costCenter objectdirectMarketingCodestringDefaults to Excelsior ConsultingThe direct marketing code.notesstringDefaults to Donated in-person at Annual GalaA note describing the Contribution.extendedSourceCodeobjectThe Extended Source Code object to apply to the Contribution. Only the extendedSoureCodeId property is required. If this is provided and no codes are provided, we’ll look for and apply a matching Source Code to the contribution from a Direct Response Plan segment that the contact is in with a contact history record that has the extended source code. If no matching source code is found, then the POST will fail.extendedSourceCode objectfinancialBatchIdint32Defaults to 825The ID of the associated Financial Batch. Required if Financial Batch Manager is enabled in the committee context; not allowed if Financial Batch Manager is disabled in the committee context. If specified, the Designation of the Financial Batch must match the Designation of the contribution.HeadersIdempotency-KeystringrequiredDefaults to 00000000-0000-0000-0000-000000000123An unique value generated by the client which the server uses to recognize subsequent retries of the same request. Can be any string at most 50 characters long - we recommend a V4 UUID. Keys are temporary and may be removed from the system after 48 hours.Responses 201201 400400 401401 403403 409409 500500Updated 10 months ago